
struct dmfs_usermount {
	struct	dmfs_mount_data	*mdata;	/* mount info for file */
	int			fd;	/* fd for file */
	int			flags;	/* flags for mount */
};

#define	DMM_SWAPMD	1

int dmfs_open_mfile	__P((char *path, struct  dmfs_usermount  **dmmpp));
int dmfs_close_mfile	__P((struct dmfs_usermount *dmmp));
int dmfs_read_mdata	__P((struct dmfs_usermount *dmmp, int start, \
			int count, void *buf));
void dmfs_byteswap_meta __P((struct dmfs_mdata *meta));
void dmfs_bufswap_meta  __P((struct dmfs_mdata *to, struct dmfs_mdata *from));

int dmfs_open_control	__P((char *));
int dmfs_close_control	__P((int));
int dmfs_lock_nodes	__P((int, long, long));
#define	dmfs_unlock_nodes(FD)	dmfs_lock_nodes((FD), DMFS_INODELK_NULLSTART, \
			DMFS_INODELK_NULLEND)
