#include <stdio.h>
#include <dba.h>

main(int argc, char** argv)
{
  DbA* db;

  if(argc != 3){
    fprintf(stderr, "usage: remove_dba DBNAME key\n");
    exit(1);
  }

  db = newDbAbstractor(argv[1]);
  if(db == NULL)
    exit(1);

  if(dba_remove(db, argv[2]) != 0){
    fprintf(stderr, "error deleting %s from \n", argv[2], argv[1]);
    dba_close(db);
    exit(1);
  }
  else{
    dba_close(db);
    exit(0);
  }
}
  
