#include <sys/types.h>
#include <unistd.h>
#include <stdlib.h>

struct node{
  struct node* prev;
  struct node* next;
  void* data;
};

typedef struct node NODE;

struct list{
  int _advanced;
  NODE* top;
  NODE* bottom;
  NODE* current;
  long list_length; 
};

typedef struct list LIST;

LIST* new_list();
void add_node(LIST*, NODE* );
long list_length(LIST* );
NODE* first_node(LIST* );
NODE* next_node(LIST* );
NODE* prev_node(LIST* );
NODE* last_node(LIST* );
void remove_node(LIST* , NODE* );

