#ifndef DBA_UTIL_H
#define DBA_UTIL_H
#include <sys/types.h>

int _read_dba_conf(DbA_impl* impl);
void cleanup_impl(DbA_impl *impl);
int sql_exec(DbA_impl *impl);
int remove_table(DbA_impl *impl);
void cleanup_query(DbA_impl *impl);
int check_table_exists(DbA_impl *impl, char* table_name);
int create_table(DbA_impl *impl);
time_t dtime_to_utime(char* dtime);
int utime_to_dtime(time_t utime, char* return_dtime, int dtime_size);
void return_value(char* val, DbA_impl* impl, void *value, int value_size);

#endif
