#include <dba.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include <string.h>


int main()
{
  DbA* db;
  DBAREC val;
  FILE* tmpfd;
  char bufD3[24]; 
  char buf34[24];
  long int valD3, val34;
  time_t date;

  time(&date);
 
  DBARECINIT(val);

  /* count number of allocated vol and write to file*/
  if((tmpfd = popen("vaudit -m D3 -s A | wc -l ", "r")) == NULL){
    fprintf(stderr, "popen write for D3 error\n");
    exit(1);
  }
  if(fgets(bufD3, 24, tmpfd) == NULL){
    if(ferror(tmpfd)){
      fprintf(stderr, "Error reading from vaudit pipe\n");
      exit(1);
    }
    else{
      fprintf(stderr, "vaudit returned no output?!\n");
      exit(1);
    }
  }
  pclose(tmpfd);

  valD3 = atol(bufD3);


  /* count number of allocated vol and write to file*/
  if((tmpfd = popen("vaudit -m 34X0 -s A | wc -l ", "r")) == NULL){
    fprintf(stderr, "popen write for 34 error\n");
    exit(1);
  }
  /* retrieve value and cast to integer */
  if(fgets(buf34, 24, tmpfd) == NULL){
    if(ferror(tmpfd)){
      fprintf(stderr, "Error reading from vaudit pipe\n");
      exit(1);
    }
    else{
      fprintf(stderr, "vaudit returned no output?!\n");
      exit(1);
    }
  }
  pclose(tmpfd);
  
  val34 = atol(buf34);
  val.date = &date;
  val.subset = "d3";
  /* store value in table for D3*/
  if((db = newDbAbstractor("vol_alloc_vol", 't', 'i')) == NULL){
    fprintf(stderr, "Error opening vol_alloc_vol table\n");
    exit(1);
  }
  val.value = &valD3;
  if(dba_store(db, &val)!=0){
    fprintf(stderr, "Error storing to vol_alloc_volvol_D3 table\n");
    exit(1);
  }
  dba_destroy(db);
  val.subset = "3490";
  /* store value in table for 3490 */
  if((db = newDbAbstractor("vol_alloc_vol", 't', 'i')) == NULL){
    fprintf(stderr, "Error opening vol_alloc_vol table\n");
    exit(1);
  }
  val.value = &val34;
  if(dba_store(db, &val)!=0){
    fprintf(stderr, "Error storing to vol_alloc_vol\n");
    exit(1);
  }
  dba_destroy(db);

  return(0);
}







