#include "nasutil.h"
#include <stdlib.h>
#include <stdio.h>
#include <syslog.h>

int
locexit()
{
	fprintf(stderr, "locexit\n");
	exit(1);
}

main()
{
	char	*id = "test";

	nLogInit("TEST", locexit);

	nLogInitConsole(LOG_LOCAL0, EL_CONSOLE0, EL_LEVEL);

	nLogInitStderr(EL_STATUS1);
	nLogMsg(EL_ALWAYS|EL_CONSOLE0, id, "EL_ALWAYS /EL_ALWAYS");
	nLogMsg(EL_ERROR1|EL_CONSOLE0, id, "EL_ALWAYS /EL_ERROR1");
exit(0);
	nLogMsg(EL_ERROR2, id, "EL_ALWAYS /EL_ERROR2");
	nLogMsg(EL_STATUS1, id, "EL_ALWAYS /EL_STATUS1");
	nLogMsg(EL_STATUS2, id, "EL_ALWAYS /EL_STATUS2");
	nLogMsg(EL_DEBUG1, id, "EL_ALWAYS /EL_DEBUG1");
	nLogMsg(EL_DEBUG2, id, "EL_ALWAYS /EL_DEBUG2");

	nLogInitStderr(EL_ERROR1);
	nLogMsg(EL_ALWAYS, id, "EL_ERROR1 /EL_ALWAYS");
	nLogMsg(EL_ERROR1, id, "EL_ERROR1 /EL_ERROR1");
	nLogMsg(EL_ERROR2, id, "EL_ERROR1 /EL_ERROR2");
	nLogMsg(EL_STATUS1, id, "EL_ERROR1 /EL_STATUS1");
	nLogMsg(EL_STATUS2, id, "EL_ERROR1 /EL_STATUS2");
	nLogMsg(EL_DEBUG1, id, "EL_ERROR1 /EL_DEBUG1");
	nLogMsg(EL_DEBUG2, id, "EL_ERROR1 /EL_DEBUG2");

	nLogInitStderr(EL_LEVEL);
	nLogMsg(EL_ALWAYS, id, "EL_LEVEL /EL_ALWAYS");
	nLogMsg(EL_ERROR1, id, "EL_LEVEL /EL_ERROR1");
	nLogMsg(EL_ERROR2, id, "EL_LEVEL /EL_ERROR2");
	nLogMsg(EL_STATUS1, id, "EL_LEVEL /EL_STATUS1");
	nLogMsg(EL_STATUS2, id, "EL_LEVEL /EL_STATUS2");
	nLogMsg(EL_DEBUG1, id, "EL_LEVEL /EL_DEBUG1");
	nLogMsg(EL_DEBUG2, id, "EL_LEVEL /EL_DEBUG2");

	nLogMsg(EL_FATAL|EL_STATUS1, id, "fatal");
	nLogMsg(EL_STATUS1, id, "shouldn't happen..");
}
