#
#  Mkconfig.volman - settings for NAStore volman Makefiles
#
#  communications
#	VOLD_PORT < 5000 for root-only access
#	VOLCD_PORT > 5000 for non-root access
#
VOLD_HOST=	volman
VOLD_SERVICE=	vold
VOLCD_SERVICE=	volcd
#VOLD_PORT=	4500
#VOLCD_PORT=	5008
#
##########
#
#  VOLMANACCT gets console msgs and has admin privilege
#
VOLMANACCT=	volman
#
##########
#
#  LIBDIR is where some auxiliary stuff sits on vold host
#  DBDIR is where vold dbase files are on vold host
#  VCONF is the config file on the vold's host 
#
VLIBDIR=	${SPOOLDIR}/volman
VDBDIR=		${SPOOLDIR}/volman/dbase
VCONF=		${ETCDIR}/rc.volman

#  NODEDIR is where user-accessible device nodes are
#      created w/ appropriate ownership & permissions
#  SPOOLDIR is where logs are kept and temporary id files 
#	for volcd handshakes, acs cap state...
#
NODEDIR=	/dev/vol
VSPOOLDIR=	${SPOOLDIR}/volman

########## IPC choice for client-volcd comms [only IPC=sock implemented]
#
VOLMAN_IPC=	vmipc_sock
#
#######################################################################
