#ifndef lint
static char rcsid[] = "$Header: /Volumes/TempStorage/repos/netbsd/othersrc/nastore/volman/srvr/master/debug.c,v 1.1.1.1 2000-02-28 02:18:27 wrstuden Exp $";
#endif

#include <stdio.h>
#ifdef EXTERN
# undef EXTERN
#endif
#define EXTERN
#include "srv_space.h"
#include "fcntl.h"


CodeString_t ErrLevTab[] = {
	EL_ERROR1,	"EL_ERROR1",
	EL_ERROR2,	"EL_ERROR2",
	EL_STATUS1,	"EL_STATUS1",
	EL_STATUS2,	"EL_STATUS2",
	EL_DEBUG1,	"EL_DEBUG1",
	EL_DEBUG2,	"EL_DEBUG2",
	EL_DEBUG3,	"EL_DEBUG3",
	EL_DEBUG4,	"EL_DEBUG4",
	0,
};

usage(cmdnam)
  char	*cmdnam;
{
	printf("usage: %s flag [repeat]\n", cmdnam);
	printf("flags:	1	print ClientQ\n");
	printf("	2	send each client a NOP\n");
	printf("	3	print VolReqQ and RC table\n");
	printf("	4	print a message on the RP console\n");
	printf("	EL_xxx  set nLogLevel\n");
	exit(0);
}

/*
 * usage: debug flag repeat
 */
main(argc, argv)
  char	*argv[];
{
	char		*id = NULL;
	char		buf[PKTSIZ(vmpDebug_t)];
	vmpHdr_t	*hp;
	vmpDebug_t	*dp;
	int		rep, i, flag;

	hp = vBuildHdr(M_DEBUG, NOSEQ, buf);
	dp = MSGPTR(hp, vmpDebug_t);

	if (argc <= 1)
		usage(argv[0]);
	dp->vd_cmd = atoi(argv[1]);
	if (dp->vd_cmd < 0  ||  dp->vd_cmd > 4)
		usage(argv[0]);

	if (dp->vd_cmd == 0) { /* EL_xxx */
		CodeString_t	*csp;

		/* see if arg is a string in ErrLevTab  */
		for (csp = ErrLevTab; csp->cs_string; csp++) {
			if (strcmp(csp->cs_string, argv[1]) == MATCH) {
				dp->vd_level = csp->cs_code;
				break;
			}
		}
		if (csp->cs_string == NULL)
			usage(argv[0]);
	}
	nLogInit(argv[0], 0);
	nLogInitStderr(EL_LEVEL);
	vInitDirNames();
	nLogInitFile(vLogFile, EL_LEVEL, 0, NULL);

	nLogMsg(EL_STATUS1, id, "==== %s here: pid=%d ====", argv[0], getpid());
	flag = 0;
	RPCLInit(M_CONSOLE, &flag);

	if (argc > 2)
		rep = atoi(argv[2]);
	else
		rep = 1;

	for (i=0; i<rep; i++)
		RPCLSend(hp, 1);

	RPCLGoodbye();
#ifdef lint
	return 0;
#endif
}


