
#include <rpc/rpc.h>  /*for XDR */

typedef struct SrvProc {
	int		s_pid;
	int		s_sd;
	time_t		s_lastmsg;
} SrvProc_t;

typedef struct Host {
	int		h_id;			/* position in array 	     */
	int		h_type;			/* e.g. Sun, SGI 	     */
	char		h_name[MAXHOSTNAMELEN];
	char		h_ipname[MAXHOSTNAMELEN]; /* from gethostby*()       */
	unsigned char	h_addr0[HOST_ADDRLEN];	/*    from gethostby*()      */
						/* note: h_addr conflicts w/ */
						/* a #define so h_haddr..    */
	SrvProc_t	h_volcd;
	int		h_nclients;
	Client_t	*h_clients;
	SrvProc_t	h_volnd;
	DevMap_t	h_drives;		/* drives mounted here	*/
	int		h_ndrives;		/* total in bitmap	*/
} Host_t;
