#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <io.h>

main(argc, argv)
int argc;
char *argv[];
{
    int fd;

    if (argc != 3) {
	printf("usage: slug filename size\n");
	exit(-1);
    }
    if ((fd = open(argv[1], O_RDWR|O_CREAT|O_BINARY,
		   S_IREAD|S_IWRITE)) == -1) {
	printf("open %s failed:", argv[1]);
	exit(-1);
    }
    chsize(fd, atol(argv[2]));
    close(fd);
}
