/*
 * WIN.H 
 * Version 1.1 Beta 7/16/93
 * J. Musch
 */

#define WIN_MAXHEIGHT 5
#define WIN_MAXWIDTH  19

struct win {
  int win_row;
  int win_col;
  int win_height;
  int win_width;
  int win_screen;
  int win_vid;
  unsigned int win_sbuf[WIN_MAXHEIGHT+2][WIN_MAXWIDTH+2];
} ;

struct win *win_alloc();
void win_popup(), win_free(), win_size();


#define POPUP_INVD_R	8	/* Query from Inventory Screen Delete Key */
#define POPUP_INVD_C	4

#define POPUP_INVO_R	8	/* Query from Inventory Screen Overwrite */
#define POPUP_INVO_C	3

#define POPUP_RLQ_R	4	/* Query from Request Log Delete Key */
#define POPUP_RLQ_C	4

#define POPUP_QURY_R	8	/* Query from query() for y/n */
#define POPUP_QURY_C	6

#define POPUP_ILC_R	2	/* You pressed an illegal char */
#define POPUP_ILC_C	2
#define POPUP_ILC_W     100

#define POPUP_IW_R	8	/* Index Mode */
#define POPUP_IW_C	5

#define POPUP_INVS_R	2	/* Location of status window */
#define POPUP_INVS_C	2
#define POPUP_INVS_W    250		/* 5 sec delay */

#define POPUP_LB_R	8	/* Location of low battery window */
#define POPUP_LB_C	4
#define POPUP_LB_W      250		/* 5 sec delay */

#define POPUP_NH_R	8	/* Location of No Help announcement */
#define POPUP_NH_C	4
#define POPUP_NH_W      250		/* 5 sec delay */

#define POPUP_EXIT_R	8	/* Location of Exit to DOS ? Query */
#define POPUP_EXIT_C	4

#define POPUP_TRXL_R    8
#define POPUP_TRXL_C    4
#define POPUP_TRXL_W    250		/* 5 sec delay */

#define POPUP_RBLD_R    4      /* Location of Rebuild DB Queries */
#define POPUP_RBLD_C    4

#define POPUP_LOC_R 4
#define POPUP_LOC_C 4
#define POPUP_LOC_W 100






