
/*
 *  cd_msg.c - volcd (volman client daemon) msgs
 */

#include "srv_space.h"
#include "rp_clnt.h"


/*
 *  CDErr2Client() - build an M_VERROR message out of the VMError and
 *	nErrStr and send it to the client.
 */

CDErr2Client(seq, cp)
  Seq_t		seq;
  Client_t	*cp;
{
	vmpHdr_t	*hp;
	vmpError_t	*ep;
	char		ebuf[PKTSIZ(vmpError_t)];

	hp = vBuildHdr(M_VERROR, seq, (vmpHdr_t *)ebuf);
	ep = MSGPTR(hp, vmpError_t);
	ep->vn_error = VMError;
	emsgcpy(ep->vn_msg, nErrStr);
	return (IPCSnd2Client(hp, cp));
}
