/*
 *  volnd.h - Volume Manager Node Daemon
 */

/*
**  configurable constants
**	OPENRETRIES * SLEEPTIME = time to give a 'mounted' tape
**	to become available
*/
#define OPENRETRIES	100
#define SLEEPTIME	10
#define TIMEOUT		300

#define DEVLEN		40

/*
 *  structural definitions
 */
typedef struct {
	char		d_devname[DEVLEN];
	int		d_rcflags;
	int		d_cmd;
	Seq_t		d_seq;
	pid_t		d_pid;
	int		d_err;
	vmpNode_t	d_req;
	time_t		d_time;
} Node_t;

/*
 *  return codes for exiting children
 */
#define EXIT_OK		0
#define EXIT_FAILVOL	1
#define EXIT_FAILDEV	2
