/*
 *  vvclasses - NAStore Virtual Volume Manager: 
 *
 *	print descriptions of storage classes
 *
 *	Bill Ross, NASA Ames, March 1998
 */

#include "vv_space.h"

char	*arg0 = NULL;

  static void
usage()
{
	fprintf(stderr, "usage: %s [classid]\n", arg0);
	exit(1);
}

bomb()
{
	fprintf(stderr, "exiting\n");
	exit(1);
	return(1);	/* for compiler warning */
}

main(int argc, char *argv[])
{
	Class_t		*cip;

	arg0 = argv[0];

	if (argc > 2)
		usage();

	if (argc == 2) {
		cip = ClassInfo(argv[1]);
		if (cip == NULL) {
			fprintf(stderr, "not a class prefix: %s\n", argv[1]);
			usage();
		}
		PrintClass(NULL);
		PrintClass(cip);
		exit(0);
	}
	PrintClass(NULL);
	while (cip = NextClass())
		PrintClass(cip);

}
