
/*
 *  tape label stuff - all label types (HDRLABEL, EOFLABEL)
 *	have to be exactly LBLTYPELEN long
 */
#define LBLTYPELEN	3
#define HDRLABEL	"HDR"
#define EOFLABEL	"EOF"

typedef struct {
	char	lb_type[LBLTYPELEN];		char	b1;
	char	lb_version[INTLEN];		char	b2;
	VV_t	lb_vv;				char	b3;
	char	lb_id[VV_IDLEN];		char	b4;
	char	lb_slot;			char	b5;
	char	lb_nvsns;			char	b6;
	char	lb_nrec[INTLEN];		char	b7;
	char	lb_data[HEXLEN];		char	b8;
	char	lb_creat[DATELEN];		char	b9;
	char	lb_nwrite[INTLEN];		char	b10;
	char	lb_lastwrite[DATELEN];		char	b11;
	char	lb_finish[DATELEN];		char	b12;
	char	lb_ontape[DATELEN];		char	b13;
} TapeLabel_t;

typedef struct {
	char		lb_block[INTLEN];	char	b0;
	TapeLabel_t	rec;
} TapeRec_t;

