/*
 *  filedrives.c - hack stuff included in mv_2.c for testing
 */
#ifndef FILEDRIVES
# error FILEDRIVES not defined
#endif

#define FMARK	'%'
nextmark(int tpfd)
{
	char	c;

	while (1) {
		if (read(tpfd, &c, 1) != 1)
			nLogMsg(EL_FATAL, 0, "reading filemark");
		if (c == FMARK)
			break;
	}
}
gettpmk(int tpfd, int i)
{
	char	c;

	if (read(tpfd, &c, 1) != 1)
		nLogMsg(EL_FATAL, 0, "reading filemark %d", i);
	if (c != FMARK)
		nLogMsg(EL_FATAL, 0, "filemark %d bad", i);
}
get2tpmk(int tpfd)
{
	gettpmk(tpfd, 1);
	gettpmk(tpfd, 2);
	if (lseek(tpfd, -2, SEEK_CUR) == -1)
		nLogMsg(EL_FATAL|EL_SYS, 0, "seek -2");
}
getblk(int tpfd, unsigned long *block)
{
	*block = lseek(tpfd, 0, SEEK_CUR);
	if (*block == -1)
		nLogMsg(EL_FATAL|EL_SYS, 0, "getblk");
nLogMsg(EL_STATUS1, 0, "getblk/seek = %d", *block);
}

wtm(int tpfd)
{
	if (write(tpfd, "%", 1) != 1)
		nLogMsg(EL_FATAL|EL_SYS, 0, "write tpmk");
}
