/*
 *  mv.h - NAStore Virtual Volume Manager's Mover daemon
 */

#include "vv_space.h"

#define TIMEOUT		300

typedef struct Req {
	vvSeq_t		r_seq;
	int		r_cmd;
	vvpMvreq_t	r_req;
	pid_t		r_pid;		/* child */
	time_t		r_time;
} Req_t;

 
extern void MVErr2VV(VV_t *vvp, char *vsnp, vvSeq_t seq, int req);

#define EXIT_OK		0
#define EXIT_FAILVOL	1
#define EXIT_FAILDEV	2
#define EXIT_FAILFILE	3
#define EXIT_FAILVV	4
