From vm_pkt.x:

struct VInfo_t {
        vsn_t           vi_vsn;         /* volume serial number         */
        vsn_t           vi_label;       /* internal label               */
        int             vi_voltype;     /* key to volume attributes     */
        int             vi_poolgid;     /* volume's pool group ID       */
        int             vi_srcrc;       /* repository controller number */
        int             vi_dstrc;       /* repository controller number */
        int             vi_uid;         /* volume's user ID             */
        int             vi_gid;         /* volume's group ID            */
        short           vi_mode;        /* volume's permissions         */
};

struct  VDR_t {
        VInfo_t vdr_info;               /* basic vol info 		*/
        char    vdr_status;             /* volume status                */
        char    vdr_use;                /* volume use status            */
        time_t  vdr_creat;              /* creation date                */
        time_t  vdr_mod;                /* last modification date       */
        time_t  vdr_acc;                /* last access date             */
        time_t  vdr_lastmov;            /* last move                    */
        int     vdr_mntwrite;           /* times mnt writable tried     */
        int     vdr_mntread;            /* times mnt rdonly tried       */
        int     vdr_mntfail;            /* times in a row mnt failed    */
        int     vdr_recycle;            /* times recycled               */
        char    vdr_desc[DESCLEN];      /* volume description           */
};

struct vmpQuota_t {
        int             vqq_uid;
        int             vqq_rc;
        int             vqq_quota;
        int             vqq_used;
};

