#include <dba.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <sys/time.h>

int main()
{
  DbA* db;
  DBAREC val;
  char date1[] = "1997-09-23 10:13:01";
  char date2[] = "1997-09-24 10:13:01";
  char date3[] = "1998-02-09 10:13:01";
  long int value1 = 5555555;
  long int value2 = 6666666;
  long int value3 = 7777777;
  long int value4 = 8888888;
  char sub_set[] = "subset";
  char t_ag[] = "tag";

  DBARECINIT(val);
  
  /*open integer value_type table */
  if((db= newDbAbstractor("tmp_int_null", 'd', 'i')) == NULL){
    fprintf(stderr, "Error opening tmp_int_nullp  table (integer value)\n");
    exit(1);
  }
  val.date = &date1;
  val.value = &value1;
  /* test dba_store with NULL for start_date and process_id*/
  if((dba_store(db, &val)) != 0){
    fprintf(stderr, "Error with first dba_store (subset but no tag)\n");
    dba_destroy(db);
    exit(1);
  }
  val.date = date2;
  val.value = &value2;
  val.subset = &sub_set;
  if((dba_store(db, &val)) != 0){
    fprintf(stderr, "Error with second dba_store (subset and tag)\n");
    dba_destroy(db);
    exit(1);
  }
  val.tag = &t_ag;
  val.value = &value3;
  /* test dba_store with NULL for start_date*/
  if((dba_store(db, &val)) != 0){
    fprintf(stderr, "Error with second dba_store (subset and tag)\n");
    dba_destroy(db);
    exit(1);
  }
  DBARECINIT(val);
  val.date = date3;
  val.value = &value4;
  val.tag = &t_ag;
  /* test dba_store with NULL for process_id*/
  if((dba_store(db, &val)) != 0){
    fprintf(stderr, "Error with third dba_store (tag but no subset)\n");
    dba_destroy(db);
    exit(1);
  }

  /* not in the api, don't use*/
/*  if(dba_remove(db) != DBA_SUCCESS)
    fprintf(stderr, "error removing table from database\n");
*/
  dba_destroy(db);
  return(0);
}
