#include <stdlib.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>

#include <string.h>
#include <ndbm.h>

#define DBDIR "/usr/mss/lib/metrics/DB"
#ifndef NO_ORPHAN 
#define NO_ORPHAN 1
#endif

main(int argc, char** argv)
{
  char  dbname[128];
  DBM *db;
  char pathname[1024];
  char keybuf[128];
  char valbuf[128];
  long long value, total;
  datum key, content;

  if(argc !=  2){
    fprintf(stderr, "usage: dump_dbm db_name\n");
    exit(1);
  }
  
  strcpy(pathname, argv[1]);
  if((db = dbm_open(pathname, O_RDWR, 0644)) == NULL){
    fprintf(stderr, "An error occurred opening db %s\n", pathname);
    exit(1);
  }

  /* walk through  values */
  for (key = dbm_firstkey(db); key.dptr != NULL; key =
          dbm_nextkey(db)){
    content = dbm_fetch(db, key);
    strncpy(valbuf, content.dptr, content.dsize);
    valbuf[content.dsize] = '\0';
    sscanf(valbuf, "%lld", &value);
    total = value;
    strncpy(keybuf, key.dptr, key.dsize);
    keybuf[key.dsize] = '\0';
    printf("%s\t%lld\n", keybuf, total);
  }
}

  

  
  
