#ifndef DATELIB_H
#define DATELIB_H

int last_day(int month, int year);
double julday(int mon, int day, int year, int hours, int min, double sec);
int periodofyear(int mon, int day, int year, int modulus);
double periodtojulian(int period, int year, int modulus);
void yday2MMDD(int yday, int year, int* mon, int* day);

typedef struct{
int month;
int day;
int year;
int wday;
double julian;
} GREGINFO;

GREGINFO* calcdate(double jd);

#define weekofyear(a,b,c) periodofyear((a), (b), (c), 7)
#define weektojulian(a, b) periodtojulian((a), (b), 7)

#endif
