#ifndef BSDTIME_H
#define BSDTIME_H

#if 0
/*
 * Some local time routines in case the native OS ones are broken. Not
 * currently used.
 */

struct tm      *bsd_localtime(const time_t * const timep);
struct tm      *bsd_gmtime(const time_t * const timep);
char           *bsd_asctime(const struct tm * timeptr);
time_t 		bsd_mktime(struct tm* const tmp);
char 	       *bsd_ctime(const time_t * const timep);
time_t		bsd_time2(struct tm * const tmp,  void (* const funcp)(), 
			const long offset, int * const okayp);
time_t		bsd_time1(struct tm * const tmp, void (* const funcp)(), 
			const long offset);

#else

# define bsd_localtime	localtime
# define bsd_gmtime	gmtime
# define bsd_asctime	asctime
# define bsd_mktime	mktime
# define bsd_ctime	ctime

#endif /* USE_HOST_TIME */

char		*nas_time(time_t p);
time_t		TimeStr(char   *str);

#endif
