#ifndef	__COM_H
#define	__COM_H

/*
**	function prototypes
*/

#define	VVBUFSIZE	(128 * 1024)

typedef	int	(*ifunc)(void *);

int	newproc(ifunc func, void *parm);
int	waitproc(int *pstat);
int	getproc(int *pstat);
int	traverse(char *path, int (*action)(char *, struct stat *));
char	*fullname(char *name, const char *cwd);
ssize_t	writen(int fd, void *ptr, size_t nbytes);
ssize_t	readn(int fd, void *ptr, size_t nbytes);
ssize_t	readlinen(int fd, void *ptr, size_t nbytes);
int	file_line(FILE *fin, uid_t *uid, gid_t *gid,
		off_t *filesize, char *filename);
#endif
