/*
 *  Volume Manager
 *
 *  vm_volstat.h: per-volume-request states for RP/RC use
 *
 */

#ifndef	_VOLSTAT_
#define	_VOLSTAT_

/* vr_flag: */
#define	VF_UNMNTREQ	0x001	/* unmount req received for this VolReq */
#define	VF_REQREQ	0x002	/* requeue req received for this VolReq */
#define	VF_SHUTDOWN	0x004	/* shutdown this request */
#define	VF_VARYOFF	0x008	/* vary off dev after vol is unmounted	*/
#define	VF_EJECTED	0x010	/* move: vol has been ejected */
#define	VF_ACCEPTED	0x020	/* move: vol has been accepted */
#define VF_IMPLICITVSN	0x040	/* vsn was implicitly reserved */
#define VF_RING		0x080	/* write ring was set when mounted */
#define VF_NORESP	0x100	/* RC won't respond to cancel mount */

#endif	/* _VOLSTAT_ */
