/*
 *  rl_space.h - shared by vold and its servers
 */

#ifndef EXTERN
# define EXTERN extern
#endif

#include "vm_space.h" 

#define HOST_ADDRLEN	4

EXTERN int	VolManOperUID;

/* from rl_lib.c */
extern void		CheckUID(char *str);
extern int		ForkExec(char *path, char *name, char *arg);
extern void		ReserveFD(char *str);
extern void		UnreserveFD(char *str);
extern void		vSigAlarm(int signo);
extern void		SigHandle(int signo);
extern void		SigInit();
extern void		CreateEmptyDir(char *dirnam);

/* from rl_sock.c */
extern int		IPCStartListening(u_long port);
extern void		IPCStopConn(int sd);
extern int		IPCClose(int fd);

/* from rl_xdr.c */
extern void		XDRSetup(IPC_t *sockp, XDR *xdrp);
extern int		XDRSend(vmpHdr_t *hp, XDR *xdrp, int sendnow);
extern int		XDRNextRecord(XDR *xdrp);
extern vmpHdr_t		*XDRRecv(XDR *xdrp);
extern void		XDRFlush(XDR *xdrp);
