
#ifndef _RID_
#define _RID_

typedef struct RidRCMed {
	int	rr_hardalloc;
	int	rr_hardused;
	int	rr_softalloc;
	int	rr_softused;
	int	rr_implicit;
} RidRCMed_t;

typedef struct Rid {
	char		rid_id[RIDLEN];	/* 1st char '\0' if rid is implicit */
	int		rid_vsns;	/* number of vsns in rid_vsnq */
	int		rid_active;	/* number of rid_vsns active */
	int		rid_parallel;	/* whether to link mount reqs */
	int		rid_uid;
	Seq_t		rid_clseq;
	QLink_t		rid_q;		/* see vm.h for queue struct defns */
	QLink_t		rid_clientq;	/* see vm.h for queue struct defns */
	Client_t	*rid_cp;	/* client if synchronous */
	QHead_t		rid_vsnq;	/* vsn reservations */
	RidRCMed_t	*rid_RCMed;	/* drive reservations */
} Rid_t;

#endif	/* _RID_ */
