/*
**  $Header
**
**  ACS Repository Controller
**
**	Tunable parameters
*/
#ifndef	_ACSCONF_H_
#define	_ACSCONF_H_

#define MAXLSMS			(MAX_LSM+1)
#define MAXCAPS			(MAXLSMS*3)	/* 3 caps/lsm max */
#define MAXCAPPATHLEN		256
#define DRIVES_PER_LSM		8


#define SCAP_SIZE		21
#define ECAP_SIZE		40
#define PCAP_SIZE		1

/* ACS configuration file */
#define	ACS_CONF                "/usr/mss/lib/volman/acs/ACSCONF"
#define	ACS_CONF_FILE           "ACSCONF"
#define	ACS_NUMPARMS		10

typedef struct acs_conf {
	int	numacss;
	int	firstacs;
	int	numlsms;
	int	firstlsm;
	int	numcaps;
	char	*ssi_logpath;
	char	*ssi_in_sock;
	char	*ssi_xpath;
	char	*ssi_hostname;
	char	*csi_hostname;
} conf_t;

extern	conf_t	cf;
extern  int	lastacs;
extern  int	lastlsm;

#endif 	/* _ACSCONF_H_ */
