/*
 * DB.H 
 * Version 1.1 Beta 7/16/93
 * J. Musch
 */

#define TAPES 136800

struct section section[] = {
    /* Sec Name, Bar code, Num rows, Num cols */
         { "A8",     "NTL001", 16, 50 },
	 { "A9",     "NTL002", 16, 50 },
	 { "A10",    "NTL003", 16, 50 },
	 { "A11",    "NTL004", 16, 10 },
	 { "A12",    "NTL005", 16, 50 },
	 { "A13",    "NTL006", 16, 50 },
	 { "A14",    "NTL007", 16, 50 },
 	 { "A15",    "NTL008", 16, 50 },

	 { "B0",     "NTL009", 16, 50 },
	 { "B1",     "NTL010", 16, 50 },
	 { "B2",     "NTL011", 16, 50 },
	 { "B3",     "NTL012", 16, 50 },
	 { "B4",     "NTL013", 16, 50 },
	 { "B5",     "NTL014", 16, 50 },
	 { "B6",     "NTL015", 16, 50 },
	 { "B7",     "NTL016", 16, 10 },
	 { "B8",     "NTL017", 16, 50 },
	 { "B9",     "NTL018", 16, 50 },
	 { "B10",    "NTL019", 16, 50 },
	 { "B11",    "NTL020", 16, 10 },
	 { "B12",    "NTL021", 16, 50 },
	 { "B13",    "NTL022", 16, 50 },
	 { "B14",    "NTL023", 16, 50 },
	 { "B15",    "NTL024", 16, 50 },	 	 

	 { "C0",     "NTL025", 16, 50 },
	 { "C1",     "NTL026", 16, 50 },
	 { "C2",     "NTL027", 16, 50 },
	 { "C3",     "NTL028", 16, 50 },
	 { "C4",     "NTL029", 16, 50 },
	 { "C5",     "NTL030", 16, 50 },
	 { "C6",     "NTL031", 16, 50 },
	 { "C7",     "NTL032", 16, 10 },
	 { "C8",     "NTL033", 16, 50 },
	 { "C9",     "NTL034", 16, 50 },
	 { "C10",    "NTL035", 16, 50 },
	 { "C11",    "NTL036", 16, 10 },
	 { "C12",    "NTL037", 16, 50 },
	 { "C13",    "NTL038", 16, 50 },
	 { "C14",    "NTL039", 16, 50 },
	 { "C15",    "NTL040", 16, 50 },	 	 

	 { "D0",     "NTL041", 16, 50 },
	 { "D1",     "NTL042", 16, 50 },
	 { "D2",     "NTL043", 16, 50 },
	 { "D3",     "NTL044", 16, 50 },
	 { "D4",     "NTL045", 16, 50 },
	 { "D5",     "NTL046", 16, 50 },
	 { "D6",     "NTL047", 16, 50 },
	 { "D7",     "NTL048", 16, 10 },
	 { "D8",     "NTL049", 16, 50 },
	 { "D9",     "NTL050", 16, 50 },
	 { "D10",    "NTL051", 16, 50 },
	 { "D11",    "NTL052", 16, 10 },
	 { "D12",    "NTL053", 16, 50 },
	 { "D13",    "NTL054", 16, 50 },
	 { "D14",    "NTL055", 16, 50 },
	 { "D15",    "NTL056", 16, 50 },	 	 

	 { "E0",     "NTL057", 16, 50 },
	 { "E1",     "NTL058", 16, 50 },
	 { "E2",     "NTL059", 16, 50 },
	 { "E3",     "NTL060", 16, 50 },
	 { "E4",     "NTL061", 16, 50 },
	 { "E5",     "NTL062", 16, 50 },
	 { "E6",     "NTL063", 16, 50 },
	 { "E7",     "NTL064", 16, 10 },
	 { "E8",     "NTL065", 12, 44 },
	 { "E9",     "NTL066", 12, 44 },
	 { "E10",    "NTL067", 12, 44 },
	 { "E11",    "NTL068", 12, 44 },
	 { "E12",    "NTL069", 12, 44 },

	 { "F0",     "NTL070", 12, 44 },
	 { "F1",     "NTL071", 12, 44 },
	 { "F2",     "NTL072", 12, 44 },
	 { "F3",     "NTL073", 12, 44 },
	 { "F4",     "NTL074", 12, 44 },
	 { "F5",     "NTL075", 12, 44 },
	 { "F6",     "NTL076", 12, 44 },
	 { "F7",     "NTL077", 12, 44 },
	 { "F8",     "NTL078", 12, 44 },
	 { "F9",     "NTL079", 12, 44 },

	 { "G0",     "NTL080", 12, 44 },
	 { "G1",     "NTL081", 12, 44 },
	 { "G2",     "NTL082", 12, 44 },
	 { "G3",     "NTL083", 12, 44 },
	 { "G4",     "NTL084", 12, 44 },
	 { "G5",     "NTL085", 12, 44 },
	 { "G6",     "NTL086", 12, 44 },
	 { "G7",     "NTL087", 12, 44 },
	 { "G8",     "NTL088", 12, 44 },
	 { "G9",     "NTL089", 12, 44 },

	 { "H0",     "NTL090", 12, 44 },
	 { "H1",     "NTL091", 12, 44 },
	 { "H2",     "NTL092", 12, 44 },
	 { "H3",     "NTL093", 12, 44 },
	 { "H4",     "NTL094", 12, 44 },
	 { "H5",     "NTL095", 14, 20 },
	 { "H6",     "NTL096", 14, 20 },
	 { "H7",     "NTL097", 14, 20 },
	 { "H8",     "NTL098", 14, 20 },
	 { "H9",     "NTL099", 14, 20 },
	 { "H10",    "NTL100", 14, 20 },
	 { "H11",    "NTL101", 14, 20 },
	 { "H12",    "NTL102", 14, 20 },
	 { "H13",    "NTL103", 14, 20 },
	 { "H14",    "NTL104", 14, 20 },
 
	 { "I0",     "NTL105", 14, 20 },
 	 { "I1",     "NTL106", 14, 20 },
	 { "I2",     "NTL107", 14, 20 },
	 { "I3",     "NTL108", 14, 20 },
	 { "I4",     "NTL109", 14, 20 },
	 { "I5",     "NTL110", 14, 20 },
	 { "I6",     "NTL111", 14, 20 },
	 { "I7",     "NTL112", 14, 20 },
	 { "I8",     "NTL113", 14, 20 },
	 { "I9",     "NTL114", 14, 20 },
	 { "I10",    "NTL115", 14, 20 },
	 { "I11",    "NTL116", 14, 20 },
	 { "I12",    "NTL117", 14, 20 },
	 { "I13",    "NTL118", 14, 20 },
	 { "I14",    "NTL119", 14, 20 },
	 { "I15",    "NTL120", 14, 20 },
	 { "I16",    "NTL121", 14, 20 },
	 { "I17",    "NTL122", 14, 20 },
	 { "I18",    "NTL123", 14, 20 },
	 { "I19",    "NTL124", 14, 20 },
 
	 { "J0",     "NTL125", 14, 20 },
 	 { "J1",     "NTL126", 14, 20 },
	 { "J2",     "NTL127", 14, 20 },
	 { "J3",     "NTL128", 14, 20 },
	 { "J4",     "NTL129", 14, 20 },
	 { "J5",     "NTL130", 14, 20 },
	 { "J6",     "NTL131", 14, 20 },
	 { "J7",     "NTL132", 14, 20 },
	 { "J8",     "NTL133", 14, 20 },
	 { "J9",     "NTL134", 14, 20 },
	 { "J10",    "NTL135", 14, 20 },
	 { "J11",    "NTL136", 14, 20 },
	 { "J12",    "NTL137", 14, 20 },
	 { "J13",    "NTL138", 14, 20 },
	 { "J14",    "NTL139", 14, 20 },
	 { "J15",    "NTL140", 14, 20 },
	 { "J16",    "NTL141", 14, 20 },
	 { "J17",    "NTL142", 14, 20 },
	 { "J18",    "NTL143", 14, 20 },
	 { "J19",    "NTL144", 14, 20 },
 
	 { "K0",     "NTL145", 14, 20 },
	 { "K1",     "NTL146", 14, 20 },	 
	 { "K2",     "NTL147", 14, 20 },
	 { "K3",     "NTL148", 14, 20 },
	 { "K4",     "NTL149", 14, 20 },
	 { "K5",     "NTL150", 14, 20 },
	 { "K6",     "NTL151", 14, 20 },
	 { "K7",     "NTL152", 14, 20 },
	 { "K8",     "NTL153", 14, 20 },
	 { "K9",     "NTL154", 14, 20 },
	 { "K10",    "NTL155", 14, 20 },
	 { "K11",    "NTL156", 14, 20 },
	 { "K12",    "NTL157", 14, 20 },
	 { "K13",    "NTL158", 14, 20 },
	 { "K14",    "NTL159", 14, 20 },
	 { "K15",    "NTL160", 14, 20 },
	 { "K16",    "NTL161", 14, 20 },
	 { "K17",    "NTL162", 14, 20 },
	 { "K18",    "NTL163", 14, 20 },
	 { "K19",    "NTL164", 14, 20 },

	 { "L0",     "NTL165", 14, 20 },
  	 { "L1",     "NTL166", 14, 20 },
	 { "L2",     "NTL167", 14, 20 }, 
	 { "L3",     "NTL168", 14, 20 }, 
	 { "L4",     "NTL169", 14, 20 }, 
	 { "L5",     "NTL170", 14, 20 }, 
	 { "L6",     "NTL171", 14, 20 }, 
	 { "L7",     "NTL172", 14, 20 }, 
	 { "L8",     "NTL173", 14, 20 },
  	 { "L9",     "NTL174", 14, 20 },
	 { "L10",    "NTL175", 14, 20 },
	 { "L11",    "NTL176", 14, 20 }, 
	 { "L12",    "NTL177", 14, 20 }, 
	 { "L13",    "NTL178", 14, 20 }, 
	 { "L14",    "NTL179", 14, 20 }, 
	 { "L15",    "NTL180", 14, 20 }, 

 	 { "M0",     "NTL181", 14, 20 },
  	 { "M1",     "NTL182", 14, 20 },
	 { "M2",     "NTL183", 14, 20 }, 
	 { "M3",     "NTL184", 14, 20 }, 
	 { "M4",     "NTL185", 14, 20 }, 
	 { "M5",     "NTL186", 14, 20 }, 
	 { "M6",     "NTL187", 14, 20 }, 
	 { "M7",     "NTL188", 14, 20 }, 
	 { "M8",     "NTL189", 14, 20 },
  	 { "M9",     "NTL190", 14, 20 },
	 { "M10",    "NTL191", 14, 20 },
	 { "M11",    "NTL192", 14, 20 }, 
	 { "M12",    "NTL193", 14, 20 }, 
	 { "M13",    "NTL194", 14, 20 }, 
	 { "M14",    "NTL195", 14, 20 }, 
	 { "M15",    "NTL196", 14, 20 }, 

	 { "N0",     "NTL197", 14, 20 },
  	 { "N1",     "NTL198", 14, 20 },
	 { "N2",     "NTL199", 14, 20 }, 
	 { "N3",     "NTL200", 14, 20 }, 
	 { "N4",     "NTL201", 14, 20 }, 
	 { "N5",     "NTL202", 14, 20 }, 
	 { "N6",     "NTL203", 14, 20 }, 
	 { "N7",     "NTL204", 14, 20 }, 
	 { "N8",     "NTL205", 14, 20 },
  	 { "N9",     "NTL206", 14, 20 },
	 { "N10",    "NTL207", 14, 20 },
	 { "N11",    "NTL208", 14, 20 }, 
	 { "N12",    "NTL209", 14, 20 }, 
	 { "N13",    "NTL210", 14, 20 }, 
	 { "N14",    "NTL211", 14, 20 }, 
	 { "N15",    "NTL212", 14, 20 }, 

	 { "O0",     "NTL213", 14, 20 },
  	 { "O1",     "NTL214", 14, 20 },
	 { "O2",     "NTL215", 14, 20 }, 
	 { "O3",     "NTL216", 14, 20 }, 
	 { "O4",     "NTL217", 14, 20 }, 
	 { "O5",     "NTL218", 14, 20 }, 
	 { "O6",     "NTL219", 14, 20 }, 
	 { "O7",     "NTL220", 14, 20 }, 
	 { "O8",     "NTL221", 14, 20 },
  	 { "O9",     "NTL222", 14, 20 },
	 { "O10",    "NTL223", 14, 20 },
	 { "O11",    "NTL224", 14, 20 }, 
	 { "O12",    "NTL225", 14, 20 }, 
	 { "O13",    "NTL226", 14, 20 }, 
	 { "O14",    "NTL227", 14, 20 }, 
	 { "O15",    "NTL228", 14, 20 }, 

	 { "P0",     "NTL229", 14, 20 },
  	 { "P1",     "NTL230", 14, 20 },
	 { "P2",     "NTL231", 14, 20 }, 
	 { "P3",     "NTL232", 14, 20 }, 
	 { "P4",     "NTL233", 14, 20 }, 
	 { "P5",     "NTL234", 14, 20 }, 
	 { "P6",     "NTL235", 14, 20 }, 
	 { "P7",     "NTL236", 14, 20 }, 
	 { "P8",     "NTL237", 14, 20 },
  	 { "P9",     "NTL238", 14, 20 },
	 { "P10",    "NTL239", 14, 20 },
	 { "P11",    "NTL240", 14, 20 }, 
	 { "P12",    "NTL241", 14, 20 }, 
	 { "P13",    "NTL242", 14, 20 }, 
	 { "P14",    "NTL243", 14, 20 }, 
	 { "P15",    "NTL244", 14, 20 }, 

	 { "Q0",     "NTL245", 14, 20 },
  	 { "Q1",     "NTL246", 14, 20 },
	 { "Q2",     "NTL247", 14, 20 }, 
	 { "Q3",     "NTL248", 14, 20 }, 
	 { "Q4",     "NTL249", 14, 20 }, 
	 { "Q5",     "NTL250", 14, 20 }, 
	 { "Q6",     "NTL251", 14, 20 }, 
	 { "Q7",     "NTL252", 14, 20 }, 
	 { "Q8",     "NTL253", 14, 20 },
  	 { "Q9",     "NTL254", 14, 20 },
	 { "Q10",    "NTL255", 14, 20 },
	 { "Q11",    "NTL256", 14, 20 }, 
	 { "Q12",    "NTL257", 14, 20 }, 
	 { "Q13",    "NTL258", 14, 20 }, 
	 { "Q14",    "NTL259", 14, 20 }, 
	 { "Q15",    "NTL260", 14, 20 }, 

	 { "R0",     "NTL261", 14, 20 },
  	 { "R1",     "NTL262", 14, 20 },
	 { "R2",     "NTL263", 14, 20 }, 
	 { "R3",     "NTL264", 14, 20 }, 
	 { "R4",     "NTL265", 14, 20 }, 
	 { "R5",     "NTL266", 14, 20 }, 
	 { "R6",     "NTL267", 14, 20 }, 
	 { "R7",     "NTL268", 14, 20 }, 
	 { "R8",     "NTL269", 14, 20 },
  	 { "R9",     "NTL270", 14, 20 },
	 { "R10",    "NTL271", 14, 20 },
	 { "R11",    "NTL272", 14, 20 }, 
	 { "R12",    "NTL273", 14, 20 }, 
	 { "R13",    "NTL274", 14, 20 }, 
	 { "R14",    "NTL275", 14, 20 }, 
	 { "R15",    "NTL276", 14, 20 }, 

 	 { "S0",     "NTL277", 14, 20 },
  	 { "S1",     "NTL278", 14, 20 },
	 { "S2",     "NTL279", 14, 20 }, 
	 { "S3",     "NTL280", 14, 20 }, 
	 { "S4",     "NTL281", 14, 20 }, 
	 { "S5",     "NTL282", 14, 20 }, 
	 { "S6",     "NTL283", 14, 20 }, 
	 { "S7",     "NTL284", 14, 20 }, 
	 { "S8",     "NTL285", 14, 20 },
  	 { "S9",     "NTL286", 14, 20 },
	 { "S10",    "NTL287", 14, 20 },
	 { "S11",    "NTL288", 14, 20 }, 
	 { "S12",    "NTL289", 14, 20 }, 
	 { "S13",    "NTL290", 14, 20 }, 
	 { "S14",    "NTL291", 14, 20 }, 
	 { "S15",    "NTL292", 14, 20 }, 

	 { "T0",     "NTL293", 14, 20 },
  	 { "T1",     "NTL294", 14, 20 },
	 { "T2",     "NTL295", 14, 20 }, 
	 { "T3",     "NTL296", 14, 20 }, 
	 { "T4",     "NTL297", 14, 20 }, 
	 { "T5",     "NTL298", 14, 20 }, 
	 { "T6",     "NTL299", 14, 20 }, 
	 { "T7",     "NTL300", 14, 20 }, 
	 { "T8",     "NTL301", 14, 20 },
  	 { "T9",     "NTL302", 14, 20 },
	 { "T10",    "NTL303", 14, 20 },
	 { "T11",    "NTL304", 14, 20 }, 
	 { "T12",    "NTL305", 14, 20 }, 
	 { "T13",    "NTL306", 14, 20 }, 
	 { "T14",    "NTL307", 14, 20 }, 
	 { "T15",    "NTL308", 14, 20 }, 

 	 { "U0",     "NTL309", 14, 20 },
  	 { "U1",     "NTL310", 14, 20 },
	 { "U2",     "NTL311", 14, 20 }, 
	 { "U3",     "NTL312", 14, 20 }, 
	 { "U4",     "NTL313", 14, 20 }, 
	 { "U5",     "NTL314", 14, 20 }, 
	 { "U6",     "NTL315", 14, 20 }, 
	 { "U7",     "NTL316", 14, 20 }, 
	 { "U8",     "NTL317", 14, 20 },
  	 { "U9",     "NTL318", 14, 20 },
	 { "U10",    "NTL319", 14, 20 },
	 { "U11",    "NTL320", 14, 20 }, 
	 { "U12",    "NTL321", 14, 20 }, 
	 { "U13",    "NTL322", 14, 20 }, 
	 { "U14",    "NTL323", 14, 20 }, 
	 { "U15",    "NTL324", 14, 20 }, 

	 { "V0",     "NTL325", 14, 20 },
  	 { "V1",     "NTL326", 14, 20 },
	 { "V2",     "NTL327", 14, 20 }, 
	 { "V3",     "NTL328", 14, 20 }, 
	 { "V4",     "NTL329", 14, 20 }, 
	 { "V5",     "NTL330", 14, 20 }, 
	 { "V6",     "NTL331", 14, 20 }, 
	 { "V7",     "NTL332", 14, 20 }, 
	 { "V8",     "NTL333", 14, 20 },
  	 { "V9",     "NTL334", 14, 20 },
	 { "V10",    "NTL335", 14, 20 },
	 { "V11",    "NTL336", 14, 20 }, 
	 { "V12",    "NTL337", 14, 20 }, 
	 { "V13",    "NTL338", 14, 20 }, 
	 { "V14",    "NTL339", 14, 20 }, 
	 { "V15",    "NTL340", 14, 20 }, 

	 { "W0",     "NTL341", 14, 20 },
	 { "W1",     "NTL342", 14, 20 },
	 { "W2",     "NTL343", 14, 20 }, 
	 { "W3",     "NTL344", 14, 20 }, 
	 { "W4",     "NTL345", 14, 20 }, 
	 { "W5",     "NTL346", 14, 20 }, 
	 { "W6",     "NTL347", 14, 20 }, 
	 { "W7",     "NTL348", 14, 20 }, 
	 { "W8",     "NTL349", 14, 20 },
   	 { "W9",     "NTL350", 14, 20 },
	 { "W10",    "NTL351", 14, 20 },
	 { "W11",    "NTL352", 14, 20 }, 
	 { "W12",    "NTL353", 14, 20 }, 
	 { "W13",    "NTL354", 14, 20 }, 
	 { "W14",    "NTL355", 14, 20 }, 

	 { "CART1A", "NTL356",  6, 30 },
	 { "CART1B", "NTL357",  6, 30 },
	 { "CART2A", "NTL358",  6, 30 },
	 { "CART2B", "NTL359",  6, 30 },
 	 { "CART3A", "NTL360",  6, 30 },
	 { "CART3B", "NTL361",  6, 30 },
	 { "CART4A", "NTL362",  6, 30 },
	 { "CART4B", "NTL363",  6, 30 },
	 { "CART5A", "NTL364",  6, 30 },
	 { "CART5B", "NTL365",  6, 30 },

	 NULL
};
 
