/*
 * MISC.C 
 * Version 1.1 Beta 7/16/93
 * J. Musch
 */

#include "tapelib.h"
#include "win.h"
#ifdef DOS
#include <telxon.h>
#else
#include "telxon.h"
#endif
#include <stdio.h>
#include <time.h>

stime(l_time)
time_t *l_time;
{
    struct dt d_t;
    struct tm *tp;
    time_t n_time;

    if((tp = localtime(l_time)) == NULL)
	return(-1);

    d_t.dt_day = tp->tm_mday;
    d_t.dt_month = tp->tm_mon+1;
    d_t.dt_year= tp->tm_year+1900;
    d_t.dt_dow = tp->tm_wday;

    d_t.dt_hour = tp->tm_hour;
    d_t.dt_min = tp->tm_min;
    d_t.dt_sec = tp->tm_sec;

    if (setdate(&d_t) == TELX_ERR) {
    	printf("stime error\n");
	return(-1);
    }
    time(&n_time);
    printf("SETTIME %s", ctime(&n_time));
    return(0);
}

#define TIME_BLK 5

void delay(len)
int len;
{
    int j;
    
    for (j = 0; j < len; j += TIME_BLK) {
    	if (pwrdwnswch(PWR_EXAM) == 1)
    	    break;
        sysdelay(TIME_BLK);
    }	
}



int volume = BEEP_VOL;

#define BEEP_LENGTH    1
#define BEEP_PAUSE     5

#define BEEP_ERROR_CNT 5
#define BEEP_QUERY_CNT 3

void beep(arg)
int arg;
{
    void play_beep();

    setvolume(volume);

    switch(arg) {

    case BEEP_MATCH:
	play_beep(1, BEEP_LENGTH, BEEP_PAUSE);
	break;

    case BEEP_ERROR:
	play_beep(BEEP_ERROR_CNT, BEEP_LENGTH, BEEP_PAUSE);
	break;

    case BEEP_QUERY:
	play_beep(BEEP_QUERY_CNT, BEEP_LENGTH, BEEP_PAUSE);
	break;

    case BEEP_DELTA:
	play_beep(1, 5*BEEP_LENGTH, BEEP_PAUSE);
	break;

    default:
	break;
    }

    setvolume(DEFAULT_VOL);
}

void play_beep(cnt, len, pause)
int cnt, len, pause;
{
    int i;
    
    for (i = 1; i <= cnt; i++) {
        beeper(TELX_ON);
        sysdelay(len);
        beeper(TELX_OFF);
        sysdelay(pause);
    }
}

