/*
 *  The SYSLOG_FAC and SYSLOG_PRI define the destination of the RP console
 *      messages. The messages are written via the syslogd interface. For
 *      the various definitions,  do a  man syslogd and man syslog
 */

#define SYSLOG_FAC      "local0"
#define SYSLOG_PRI      "notice"

/*
 *  log stuff
 */

#define SPOOLDIR	"/usr/spool/vault"
#define	AUTHLIST	"/usr/mss/lib/vault/vault.auth"
#define DISPLAYFILE	"/tmp/DisplayFile"
#define ERRORLOG	"ErrorLog"      /* Error Log file (in SPOOLDIR)*/
#define LINELEN		80		/* size of a line buffer       */
/*
 *  dbase
 */

#define DB_LOCK		"dbase/DB_LOCK"

#define DB_VSN_TBL	"dbase/DB_VSN_TBL"
#define DB_VSN_IDX	"dbase/DB_VSN_IDX"
#define DB_LOC_IDX	"dbase/DB_LOC_IDX"

#define S_DELETED	'D'		/* deleted from dbase           */
