#
#  Mkconfig.vvm - settings for NAStore Virtual Volume Manager Makefiles
#
#-----------------------------------------------------------------------
#
VVMD_HOST			= vvm
#
#  class policy - exta restrictions allow forcing vv name (class,serial)
#  to fit in e.g. ANSI 6-char vsn (0 for no restriction up to max=16):
#
VVM_CLASSPOLICYCLASSLEN		= 1
VVM_CLASSPOLICYSERIALLEN 	= 5

#  communications
#	VVMD_PORT < 5000 for root-only access
#
#VVMD_PORT	= 4701
VVMD_SERVICE	= vvmd

#
#  VVM_ACCT gets console msgs and has admin privilege
#
VVM_ACCT	= volman
#
#  VVM_GID is what volman tapes are assigned
#
VVM_GID		= 0
#
#  VVM_LIBDIR is where some auxiliary stuff sits on vvmd host
#  VVM_DBDIR is where vvm dbase files are on vvmd host
#  VVM_CONF is the config file on the vvmd's host 
#  VVM_VVDIR is where virtual volumes are
#
VVM_LIBDIR 	= ${SPOOLDIR}/vvm
VVM_DBDIR	= ${SPOOLDIR}/vvm/dbase
VVM_CONF	= ${ETCDIR}/rc.vvm
VVM_VVDIR	= /VV_cache

#  VVM_SPOOLDIR is where logs are kept 
#
VVM_SPOOLDIR 	= $(SPOOLDIR)/vvm

#######################################################################
