# $NetBSD: Makefile.inc,v 1.15 2001/07/03 20:29:15 christos Exp $

############################################################################
# Variables which must be set

# where standard include files are on your system
HOSTINCDIR=/usr/include
# where the root of the NetBSD source tree is (you need basesrc and syssrc)
BSDSRCDIR=/mnt/NetBSD/src
# where you want to install
DESTDIR= /usr/local/bsd
# Uncomment the next two lines on Linux
#INSTALL=/usr/bin/install
#AWK=awk
# Uncomment the next two lines on Solaris
INSTALL=/usr/ucb/install
AWK=nawk

# Set these for the relevant machine types.
# i386 is "i386", Sparc is "sparc", others unknown
#MACHINE=i386
#MACHINE_ARCH=i386
MACHINE=sparc
MACHINE_ARCH=sparc

############################################################################
# You shouldn't need to change anything else
BSDLIBCDIR=${BSDSRCDIR}/lib/libc
INCDIR=/include
LIBDIR=/lib
DESTINC=${DESTDIR}${INCDIR}
CROSSMAKE=make

# Command to install include files
INCLUDEINSTALL=${INSTALL} -c -m 444
WARNS=1

MKMAN=no
CC=gcc
#CC=cc
NOGCCERROR=yes
NOCHECKVER=yes
